[Unstable/Mantic][PATCH 1/3] UBUNTU: [Packaging] checks/final-checks: Remove old configs handling

Juerg Haefliger juerg.haefliger at canonical.com
Tue Jul 4 08:25:38 UTC 2023


There are still some references to the old config/config.common.ubuntu file
which no longer exists, so remove them.

Signed-off-by: Juerg Haefliger <juerg.haefliger at canonical.com>
---
 debian/scripts/checks/final-checks | 34 ++++++++----------------------
 1 file changed, 9 insertions(+), 25 deletions(-)

diff --git a/debian/scripts/checks/final-checks b/debian/scripts/checks/final-checks
index 5d283e3c4c6a..5581bb644a14 100755
--- a/debian/scripts/checks/final-checks
+++ b/debian/scripts/checks/final-checks
@@ -61,20 +61,6 @@ then
 	failure "$abi_version ABI version mismatch ($abi != $version)"
 fi
 
-if [ -e $debian/config/config.common.ubuntu ]; then
-    if [ -d debian/certs ]; then
-        if ! grep -q '^CONFIG_SYSTEM_TRUSTED_KEYS="debian/canonical-certs.pem"$' $debian/config/config.common.ubuntu; then
-            failure "'CONFIG_SYSTEM_TRUSTED_KEYS="debian/canonical-certs.pem"' is required"
-        fi
-    fi
-
-    if [ -d debian/revoked-certs ]; then
-        if ! grep -q '^CONFIG_SYSTEM_REVOCATION_KEYS="debian/canonical-revoked-certs.pem"$' $debian/config/config.common.ubuntu; then
-            failure "'CONFIG_SYSTEM_REVOCATION_KEYS="debian/canonical-revoked-certs.pem"' is required"
-        fi
-    fi
-fi
-
 for arch in $archs
 do
 	image_pkg=$(awk -F '\\s*=\\s*' '$1 == "do_flavour_image_package" { print $2 }' $debian/rules.d/$arch.mk)
@@ -92,18 +78,16 @@ do
 	for flavour in $flavours
 	do
 		flavour=$(echo "$flavour" | sed -e 's at .*/config.flavour.@@')
-		if [ ! -e $debian/config/config.common.ubuntu ]; then
-			if [ -d debian/certs ]; then
-				python3 debian/scripts/misc/annotations --export -c CONFIG_SYSTEM_TRUSTED_KEYS --arch $arch --flavour $flavour | grep -q '^CONFIG_SYSTEM_TRUSTED_KEYS="debian/canonical-certs.pem"$'
-				if [ $? -ne 0 ]; then
-					failure "'CONFIG_SYSTEM_TRUSTED_KEYS="debian/canonical-certs.pem"' is required"
-				fi
+		if [ -d debian/certs ]; then
+			python3 debian/scripts/misc/annotations --export -c CONFIG_SYSTEM_TRUSTED_KEYS --arch $arch --flavour $flavour | grep -q '^CONFIG_SYSTEM_TRUSTED_KEYS="debian/canonical-certs.pem"$'
+			if [ $? -ne 0 ]; then
+				failure "'CONFIG_SYSTEM_TRUSTED_KEYS="debian/canonical-certs.pem"' is required"
 			fi
-			if [ -d debian/revoked-certs ]; then
-				python3 debian/scripts/misc/annotations --export -c CONFIG_SYSTEM_REVOCATION_KEYS --arch $arch --flavour $flavour | grep -q '^CONFIG_SYSTEM_REVOCATION_KEYS="debian/canonical-revoked-certs.pem"$'
-				if [ $? -ne 0 ]; then
-					failure "'CONFIG_SYSTEM_REVOCATION_KEYS="debian/canonical-revoked-certs.pem"' is required"
-				fi
+		fi
+		if [ -d debian/revoked-certs ]; then
+			python3 debian/scripts/misc/annotations --export -c CONFIG_SYSTEM_REVOCATION_KEYS --arch $arch --flavour $flavour | grep -q '^CONFIG_SYSTEM_REVOCATION_KEYS="debian/canonical-revoked-certs.pem"$'
+			if [ $? -ne 0 ]; then
+				failure "'CONFIG_SYSTEM_REVOCATION_KEYS="debian/canonical-revoked-certs.pem"' is required"
 			fi
 		fi
 		if [ "${skipabi}" = "false" ] ; then
-- 
2.39.2




More information about the kernel-team mailing list